<?xml version="1.0" encoding="UTF-8" ?>

<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" version="4.01" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd"/>
	<xsl:template match="/">

		<html>
		<head>
		<meta name="description" content="Report generated by Flip Side Racing Software www.flipsideracing.org" />
		<style type="text/css">
		p {
		  <!-- Paragraph default style -->
		  background-color: white;
		  color: black;
		  font-family: "Trebuchet MS",Verdana,Arial,Helvetica,sans-serif;
		  font-size: 12px;
		  font-weight: normal;
		  padding-left: 1em;
		  padding-right: 1em;
		}
		td {
		  <!-- Table cell default style -->
		  background-color: white;
		  color: black;
		  font-family: "Trebuchet MS",Verdana,Arial,Helvetica,sans-serif;
		  font-size: 12px;
		  font-weight: normal;
		  padding-left: 1em;
		  padding-right: 1em;
		}
		th {
		  <!-- Table header default style -->
		  color: black;
		  font-family: "Trebuchet MS",Verdana,Arial,Helvetica,sans-serif;
		  font-size: 12px;
		  padding-left: 1em;
		  padding-right: 1em;
		  background-color: white;
		  font-weight: normal;
		}
		.gtd td {
		  <!-- This sets the alternating row colors -->
		  color: black;
		  font-family: "Trebuchet MS",Verdana,Arial,Helvetica,sans-serif;
		  font-size: 12px;
		  padding-left: 1em;
		  padding-right: 1em;
		  background-color: #cccccc;
		  font-weight: normal;
		}
		.gth {
		  <!-- This sets the alternating row colors for the header column -->
		  color: black;
		  font-family: "Trebuchet MS",Verdana,Arial,Helvetica,sans-serif;
		  font-size: 12px;
		  padding-left: 1em;
		  padding-right: 1em;
		  background-color: #cccccc;
		  font-weight: normal;
		}
		.htd td {
		  <!-- This sets the background color for the table headers that are in td-->
		  color: black;
		  font-family: "Trebuchet MS",Verdana,Arial,Helvetica,sans-serif;
		  font-size: 12px;
		  font-weight: bold;
		  padding-left: 1em;
		  padding-right: 1em;
		  background-color: #ffcc66;
		}
		.hth th {
		  <!-- This sets the background color for the table headers that are in tr-->
		  color: black;
		  font-family: "Trebuchet MS",Verdana,Arial,Helvetica,sans-serif;
		  font-size: 12px;
		  font-weight: bold;
		  padding-left: 1em;
		  padding-right: 1em;
		  background-color: #ffcc66;
		}
		.ttd td {
		  <!-- This sets the highlight color for text and makes it larger -->
		  background-color: white;
		  font-family: "Trebuchet MS",Verdana,Arial,Helvetica,sans-serif;
		  font-size: 14px;
		  font-weight: bold;
		  letter-spacing: 2px;
		  padding-left: 1em;
		  padding-right: 1em;
		  color: red;
		}
		span.ibb {
		  <!-- This is for setting the background color of just the test of best laps in the indvidual laps table -->
		  background-color: #99ccff;
		}

		
		</style>
		<title><xsl:value-of select="race/translations/race_results"/></title>
		</head>
		<body>
		<table border="0" cellpadding="0" cellspacing="0" width="100%">
		<tbody align="right">
		<tr>
			<td colspan="7" align="center">
				<img src="{race/club/image/@URI}" alt="Club logo"/>
			</td>
		</tr>
		<tr class="ttd">
			<td colspan="7" align="center"><xsl:value-of select="race/club/name"/>
			</td>
		</tr>
		<tr>
			<td colspan="7" align="center"><xsl:value-of select="race/event/name"/>
			</td>
		</tr>
		<tr>
			<td colspan="7" align="center"><xsl:value-of select="race/event/type"/>
			</td>
		</tr>
		<tr>
			<td colspan="7" align="center"><xsl:value-of select="race/event/round_type"/>
			</td>
		</tr>
		<!-- Line break needs to be in a cell to be recognized in the middle of a table -->
		<tr><td><br/></td></tr>
		</tbody>
		</table>
		<table border="0" cellpadding="0" cellspacing="0" width="100%">
		  <thead class="hth" align="right">
		    <tr>
			<th><xsl:value-of select="race/translations/position"/></th>
			<th><xsl:value-of select="race/translations/laps"/></th>
			<th><xsl:value-of select="race/translations/time"/></th>
			<th><xsl:value-of select="race/translations/average"/></th>
			<th><xsl:value-of select="race/translations/best"/></th>
			<th><xsl:value-of select="race/translations/laps_leading"/></th>
			<th><xsl:value-of select="race/translations/name"/></th>
		    </tr>
		  </thead>
		<tbody align="right">
		<xsl:for-each select="race/summary/racer">
		<xsl:choose>
			<xsl:when test="position mod 2 = 0">
			<tr class="gtd">
				<td><xsl:value-of select="position"/></td>
				<td><xsl:value-of select="laps"/></td>
				<td><xsl:value-of select="time"/></td>
				<td><xsl:value-of select="average"/></td>
				<td><xsl:value-of select="best"/></td>
				<td><xsl:value-of select="lapsleading"/></td>
				<td><xsl:value-of select="name"/></td>
			</tr>	
			</xsl:when>
			<xsl:otherwise>
			<tr>
				<td><xsl:value-of select="position"/></td>
				<td><xsl:value-of select="laps"/></td>
				<td><xsl:value-of select="time"/></td>
				<td><xsl:value-of select="average"/></td>
				<td><xsl:value-of select="best"/></td>
				<td><xsl:value-of select="lapsleading"/></td>
				<td><xsl:value-of select="name"/></td>
			</tr>
			</xsl:otherwise>
		</xsl:choose>
		</xsl:for-each>
		</tbody>
		</table>
		<br/>
		<table border="0" cellpadding="0" cellspacing="0" width="100%">
		  <tbody align="right">
			<tr class="ttd" align="center">
				<td colspan="9" align="center"><xsl:value-of select="race/translations/lap_times"/></td>
			</tr>
		  </tbody>
		</table>
		<table border="0" cellpadding="0" cellspacing="0" width="100%">
		  <thead class="hth" align="right">
			<tr class="hth">
				<th><xsl:value-of select="race/translations/lap"/></th>
				<xsl:for-each select="race/summary/racer">
					<th><xsl:value-of select="name"/></th>
				</xsl:for-each>
			</tr>
		  </thead>	
			<tbody align="right">
				<xsl:for-each select="race/summary/racer[1]/lapinfo">
					<xsl:variable name="vLapNumber" select="lapnumber"/>
					<xsl:choose>
						<xsl:when test="position() mod 2 = 0">
							<tr class="td">
								<th class="th"><xsl:value-of select="lapnumber"/></th>
								<xsl:for-each select="/race/summary/racer/lapinfo[lapnumber=$vLapNumber]">
								  <xsl:choose>
								    <xsl:when test="../best = concat(lapnumber,'/',laptime)">
								      <td><span class="ibb"><b><xsl:value-of select="laptime"/></b></span></td>
								    </xsl:when>
								    <xsl:otherwise>
								      <td><xsl:value-of select="laptime"/></td>
								    </xsl:otherwise>
								  </xsl:choose>
								</xsl:for-each>
							</tr>
						</xsl:when>
						<xsl:otherwise>
							<tr class="gtd">
								<th class="gth"><xsl:value-of select="lapnumber"/></th>
								<xsl:for-each select="/race/summary/racer/lapinfo[lapnumber=$vLapNumber]">
								  <xsl:choose>
								    <xsl:when test="../best = concat(lapnumber,'/',laptime)">
								      <td><span class="ibb"><b><xsl:value-of select="laptime"/></b></span></td>
								    </xsl:when>
								    <xsl:otherwise>
								      <td><xsl:value-of select="laptime"/></td>
								    </xsl:otherwise>
								  </xsl:choose>
								</xsl:for-each>
							</tr>
						</xsl:otherwise>
					</xsl:choose>
			  	</xsl:for-each>

		  </tbody>
		</table>
		
		</body>
		</html>

	</xsl:template>

</xsl:stylesheet>